/// class PD.Manage.Modules.ReportCreateDialogCommand

PD.Manage.Modules.ReportCreateDialogCommand =
PD.Commands.Command.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    setDefaults: function () {
        this.props("id", "report/create-dialog");
        this.props("enabled", true);
        this.props("icon", PD.Path.to16x16("plus.png"));
        this.props("label", "New");
        this.props("tooltip", "Create a new Report.");
        this.state("report", null);
    },

    execute: function (e) {
        this._super(e);
        this._openDialog();
    },

    //===================================
    // PRIVATE METHODS
    //===================================

    _openDialog: function () {

        ProspectDirector.Web.UI.FeatureSets.NHibTargetEditorDialog.open({
            config: {
                title: "New Report"
            },
            data: {
                targetArbiter: "ProspectDirector.Web.Manage.Modules.Reports.ReportArbiter",
                targetType: "ProspectDirector.Web.Manage.Modules.Reports.ReportUIO",
                layoutType: ProspectDirector.Web.UI.FeatureSets.Layouts.TabStripLayout
            },
            callbacks: {
                ok: function (sender, e) {
                    PD.context.get_default().get_events().publish("report/create", {
                        id: e.target.id
                    });
                }
            }
        });

    }

});